POST api/contractItemapi/add?siteId={siteId}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
siteId

globally unique identifier

None.

Body Parameters

ContractItemViewModel
NameDescriptionTypeAdditional information
item_descriptions

Dictionary of string [key] and string [value]

None.

item_code

string

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

contract_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "item_descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "item_code": "sample string 1",
  "selected_sticker_id": "91dd1794-c48b-4a96-9e6b-5200ef5aee0d",
  "selected_nameplate_id": "145b0a8d-6d78-40b1-bff3-d573e7049d15",
  "active": true,
  "contract_id": "c8b99751-a98b-4b71-9f24-3af9025324d1",
  "id": "4f35bd31-f664-46ae-95a8-d25d976b8c8f",
  "physical_item_id": "059e05e2-28ee-44f9-9409-beb0ae1f61e2",
  "service_item_id": "b38ef81c-5440-4569-a77a-da8234216fb1",
  "item_wash_max": 1,
  "quantity": 1
}

application/xml, text/xml

Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <contract_id>c8b99751-a98b-4b71-9f24-3af9025324d1</contract_id>
  <id>4f35bd31-f664-46ae-95a8-d25d976b8c8f</id>
  <item_wash_max>1</item_wash_max>
  <physical_item_id>059e05e2-28ee-44f9-9409-beb0ae1f61e2</physical_item_id>
  <quantity>1</quantity>
  <service_item_id>b38ef81c-5440-4569-a77a-da8234216fb1</service_item_id>
  <item_code>sample string 1</item_code>
  <item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 1</d2p1:Key>
      <d2p1:Value>sample string 2</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
    <d2p1:KeyValueOfstringstring>
      <d2p1:Key>sample string 3</d2p1:Key>
      <d2p1:Value>sample string 4</d2p1:Value>
    </d2p1:KeyValueOfstringstring>
  </item_descriptions>
  <selected_nameplate_id>145b0a8d-6d78-40b1-bff3-d573e7049d15</selected_nameplate_id>
  <selected_sticker_id>91dd1794-c48b-4a96-9e6b-5200ef5aee0d</selected_sticker_id>
</contract_item>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"e7c3e8ab-ad6d-4995-b6d3-bc5d69d70a7a"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">e7c3e8ab-ad6d-4995-b6d3-bc5d69d70a7a</guid>